package com.mints.goodmoney.manager;

import android.content.Context;

import com.bytedance.sdk.openadsdk.TTAdConfig;
import com.bytedance.sdk.openadsdk.TTAdConstant;
import com.bytedance.sdk.openadsdk.TTAdSdk;
import com.mints.goodmoney.BuildConfig;
import com.mints.goodmoney.common.Constant;

/**
 * 穿山甲广告
 */
public class TtCsjAdManager {

    public static final String TT_AD_APPID = "5113521";
    public static final String TT_AD_NAME = Constant.MINTS_APP_NAME;

    /*激励视频*/
    public static final String TT_AD_VEDIO_MAIN_DEV = "945561938";// 开发使用
    public static final String TT_AD_VEDIO_DRINK = "945562032";//喝水打卡
    public static final String TT_AD_VEDIO_MAIN = "945562036";// 我的界面视频
    public static final String TT_AD_VEDIO_ERASE = "945562037";// 刮刮乐
    public static final String TT_AD_VEDIO_TURNABLE = "945562039";// 大转盘
    public static final String TT_AD_VEDIO_MOREDIALOG = "945562040";// 签到、气泡、离线弹框
    public static final String TT_AD_VEDIO_GAME = "945562067";// 猎豹

    /*信息流*/
    public static final String TT_AD_NATIVEEXPRESS_AWARD = "945562047";//信息流弹窗
    public static final String TT_AD_NATIVEEXPRESS_WALK = "945562480";//走路
    public static final String TT_AD_NATIVEEXPRESS_WATER = "945562698";//喝水
    public static final String TT_AD_NATIVEEXPRESS_ID_LIEBAO_LISTEXIT = "945562050";//猎豹列表和退出

    /*全屏广告*/
    public static final String TT_AD_ALLVEDIO_ID_LIEBAO = "945562481";//猎豹全屏带跳过按钮

    /*插屏广告*/
    public static final String TT_AD_INSERT_LOADING_ID_LIEBAO = "945608874";//猎豹游戏加载时

    private static boolean sInit;

    public static com.bytedance.sdk.openadsdk.TTAdManager get() {
        if (!sInit) {
            throw new RuntimeException("TTAdSdk is not init, please check.");
        }
        return TTAdSdk.getAdManager();
    }

    public static void init(Context context) {
        doInit(context);
    }

    //step1:接入网盟广告sdk的初始化操作，详情见接入文档和穿山甲平台说明
    private static void doInit(Context context) {
        if (!sInit) {
            TTAdSdk.init(context, buildConfig(context));
            sInit = true;
        }
    }

    public static String getVersion(){
       return TTAdSdk.getAdManager().getSDKVersion();
    }

    private static TTAdConfig buildConfig(Context context) {
        boolean logFlag;
        if (BuildConfig.DEBUG) {
            logFlag = true;
        } else {
            logFlag = false;
        }

        return new TTAdConfig.Builder()
                .appId(TT_AD_APPID)
                .useTextureView(true) //使用TextureView控件播放视频,默认为SurfaceView,当有SurfaceView冲突的场景，可以使用TextureView
                .appName(TT_AD_NAME)
                .titleBarTheme(TTAdConstant.TITLE_BAR_THEME_DARK)
                .allowShowNotify(true) //是否允许sdk展示通知栏提示
                .allowShowPageWhenScreenLock(false) //是否在锁屏场景支持展示广告落地页
                .debug(logFlag) //测试阶段打开，可以通过日志排查问题，上线时去除该调用
                .directDownloadNetworkType(TTAdConstant.NETWORK_STATE_WIFI, TTAdConstant.NETWORK_STATE_3G) //允许直接下载的网络状态集合
                .supportMultiProcess(false)//是否支持多进程
                //.httpStack(new MyOkStack3())//自定义网络库，demo中给出了okhttp3版本的样例，其余请自行开发或者咨询工作人员。
                .build();
    }
}
